WebKitSettings

## WebKitSettings WebKitSettings — Control the behaviour of a WebKitWebView |

## Synopsis

    struct              WebKitSettings;
    WebKitSettings *    webkit_settings_new                 (void);
    WebKitSettings *    webkit_settings_new_with_settings   (const gchar *first_setting_name,
                                                             ...);
    gboolean            webkit_settings_get_auto_load_images
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_auto_load_images
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_frame_flattening
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_frame_flattening
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_html5_database
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_html5_database
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_html5_local_storage
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_html5_local_storage
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_hyperlink_auditing
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_hyperlink_auditing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_java     (WebKitSettings *settings);
    void                webkit_settings_set_enable_java     (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_javascript
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_javascript
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_offline_web_application_cache
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_offline_web_application_cache
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_plugins  (WebKitSettings *settings);
    void                webkit_settings_set_enable_plugins  (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_xss_auditor
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_xss_auditor
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_javascript_can_open_windows_automatically
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_javascript_can_open_windows_automatically
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_load_icons_ignoring_image_load_setting
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_load_icons_ignoring_image_load_setting
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    const gchar *       webkit_settings_get_default_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_default_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *default_font_family);
    const gchar *       webkit_settings_get_monospace_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_monospace_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *monospace_font_family);
    const gchar *       webkit_settings_get_serif_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_serif_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *serif_font_family);
    const gchar *       webkit_settings_get_sans_serif_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_sans_serif_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *sans_serif_font_family);
    const gchar *       webkit_settings_get_cursive_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_cursive_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *cursive_font_family);
    const gchar *       webkit_settings_get_fantasy_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_fantasy_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *fantasy_font_family);
    const gchar *       webkit_settings_get_pictograph_font_family
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_pictograph_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *pictograph_font_family);
    guint32             webkit_settings_get_default_font_size
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_default_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);
    guint32             webkit_settings_get_default_monospace_font_size
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_default_monospace_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);
    guint32             webkit_settings_get_minimum_font_size
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_minimum_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);
    const gchar *       webkit_settings_get_default_charset (WebKitSettings *settings);
    void                webkit_settings_set_default_charset (WebKitSettings *settings,
                                                             const gchar *default_charset);
    gboolean            webkit_settings_get_enable_private_browsing
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_private_browsing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_developer_extras
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_developer_extras
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_resizable_text_areas
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_resizable_text_areas
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_tabs_to_links
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_tabs_to_links
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_dns_prefetching
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_dns_prefetching
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_caret_browsing
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_caret_browsing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_enable_fullscreen
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_enable_fullscreen
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_print_backgrounds
                                                            (WebKitSettings *settings);
    void                webkit_settings_set_print_backgrounds
                                                            (WebKitSettings *settings,
                                                             gboolean print_backgrounds);
    gboolean            webkit_settings_get_enable_webaudio (WebKitSettings *settings);
    void                webkit_settings_set_enable_webaudio (WebKitSettings *settings,
                                                             gboolean enabled);
    gboolean            webkit_settings_get_zoom_text_only  (WebKitSettings *settings);
    void                webkit_settings_set_zoom_text_only  (WebKitSettings *settings,
                                                             gboolean zoom_text_only);

## Object Hierarchy

      GObject
       +----WebKitSettings

## Properties

      "auto-load-images"         gboolean              : Read / Write / Construct
      "cursive-font-family"      gchar*                : Read / Write / Construct
      "default-charset"          gchar*                : Read / Write / Construct
      "default-font-family"      gchar*                : Read / Write / Construct
      "default-font-size"        guint                 : Read / Write / Construct
      "default-monospace-font-size" guint                 : Read / Write / Construct
      "enable-caret-browsing"    gboolean              : Read / Write / Construct
      "enable-developer-extras"  gboolean              : Read / Write / Construct
      "enable-dns-prefetching"   gboolean              : Read / Write / Construct
      "enable-frame-flattening"  gboolean              : Read / Write / Construct
      "enable-fullscreen"        gboolean              : Read / Write / Construct
      "enable-html5-database"    gboolean              : Read / Write / Construct
      "enable-html5-local-storage" gboolean              : Read / Write / Construct
      "enable-hyperlink-auditing" gboolean              : Read / Write / Construct
      "enable-java"              gboolean              : Read / Write / Construct
      "enable-javascript"        gboolean              : Read / Write / Construct
      "enable-offline-web-application-cache" gboolean              : Read / Write / Construct
      "enable-plugins"           gboolean              : Read / Write / Construct
      "enable-private-browsing"  gboolean              : Read / Write / Construct
      "enable-resizable-text-areas" gboolean              : Read / Write / Construct
      "enable-tabs-to-links"     gboolean              : Read / Write / Construct
      "enable-webaudio"          gboolean              : Read / Write / Construct
      "enable-xss-auditor"       gboolean              : Read / Write / Construct
      "fantasy-font-family"      gchar*                : Read / Write / Construct
      "javascript-can-open-windows-automatically" gboolean              : Read / Write / Construct
      "load-icons-ignoring-image-load-setting" gboolean              : Read / Write / Construct
      "minimum-font-size"        guint                 : Read / Write / Construct
      "monospace-font-family"    gchar*                : Read / Write / Construct
      "pictograph-font-family"   gchar*                : Read / Write / Construct
      "print-backgrounds"        gboolean              : Read / Write / Construct
      "sans-serif-font-family"   gchar*                : Read / Write / Construct
      "serif-font-family"        gchar*                : Read / Write / Construct
      "zoom-text-only"           gboolean              : Read / Write / Construct

## Description

WebKitSettings can be applied to a WebKitWebView to control text charset, color, font sizes, printing mode, script support, loading of images and various other things. After creation, a WebKitSettings object contains default settings.

    1
    2
    3
    4
    5
    /* Create a new <a class="link" href="WebKitSettings.html" title="WebKitSettings">WebKitSettings</a> and disable JavaScript. */
    WebKitSettings *settings = webkit_settings_new ();
    g_object_set (G_OBJECT (settings), "enable-javascript", FALSE, NULL);

    webkit_web_view_set_settings (WEBKIT_WEB_VIEW (my_webview), settings);

## Details

### struct WebKitSettings

    struct WebKitSettings;

### webkit_settings_new ()

    WebKitSettings *    webkit_settings_new                 (void);

Creates a new WebKitSettings instance with default values. It must be manually attached to a WebKitWebView. See also `webkit_settings_new_with_settings()`.

Returns : | a new WebKitSettings instance.

### webkit_settings_new_with_settings ()

    WebKitSettings *    webkit_settings_new_with_settings   (const gchar *first_setting_name,
                                                             ...);

Creates a new WebKitSettings instance with the given settings. It must be manually attached to a WebKitWebView.

`first_setting_name` : | name of first setting to set
`...` : | value of first setting, followed by more settings, `NULL`-terminated
Returns : | a new WebKitSettings instance.

### webkit_settings_get_auto_load_images ()

    gboolean            webkit_settings_get_auto_load_images
                                                            (WebKitSettings *settings);

Get the "auto-load-images" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If auto loading of images is enabled or `FALSE` otherwise.

### webkit_settings_set_auto_load_images ()

    void                webkit_settings_set_auto_load_images
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "auto-load-images" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_frame_flattening ()

    gboolean            webkit_settings_get_enable_frame_flattening
                                                            (WebKitSettings *settings);

Get the "enable-frame-flattening" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If frame flattening is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_frame_flattening ()

    void                webkit_settings_set_enable_frame_flattening
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-frame-flattening" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_html5_database ()

    gboolean            webkit_settings_get_enable_html5_database
                                                            (WebKitSettings *settings);

Get the "enable-html5-database" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If HTML5 database support is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_html5_database ()

    void                webkit_settings_set_enable_html5_database
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-html5-database" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_html5_local_storage ()

    gboolean            webkit_settings_get_enable_html5_local_storage
                                                            (WebKitSettings *settings);

Get the "enable-html5-local-storage" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If HTML5 local storage support is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_html5_local_storage ()

    void                webkit_settings_set_enable_html5_local_storage
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-html5-local-storage" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_hyperlink_auditing ()

    gboolean            webkit_settings_get_enable_hyperlink_auditing
                                                            (WebKitSettings *settings);

Get the "enable-hyperlink-auditing" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If hyper link auditing is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_hyperlink_auditing ()

    void                webkit_settings_set_enable_hyperlink_auditing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-hyperlink-auditing" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_java ()

    gboolean            webkit_settings_get_enable_java     (WebKitSettings *settings);

Get the "enable-java" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If Java is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_java ()

    void                webkit_settings_set_enable_java     (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-java" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_javascript ()

    gboolean            webkit_settings_get_enable_javascript
                                                            (WebKitSettings *settings);

Get the "enable-javascript" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If JavaScript is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_javascript ()

    void                webkit_settings_set_enable_javascript
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-javascript" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_offline_web_application_cache ()

    gboolean            webkit_settings_get_enable_offline_web_application_cache
                                                            (WebKitSettings *settings);

Get the "enable-offline-web-application-cache" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If HTML5 offline web application cache support is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_offline_web_application_cache ()

    void                webkit_settings_set_enable_offline_web_application_cache
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-offline-web-application-cache" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_plugins ()

    gboolean            webkit_settings_get_enable_plugins  (WebKitSettings *settings);

Get the "enable-plugins" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If plugins are enabled or `FALSE` otherwise.

### webkit_settings_set_enable_plugins ()

    void                webkit_settings_set_enable_plugins  (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-plugins" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_xss_auditor ()

    gboolean            webkit_settings_get_enable_xss_auditor
                                                            (WebKitSettings *settings);

Get the "enable-xss-auditor" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If XSS auditing is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_xss_auditor ()

    void                webkit_settings_set_enable_xss_auditor
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-xss-auditor" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_javascript_can_open_windows_automatically ()

    gboolean            webkit_settings_get_javascript_can_open_windows_automatically
                                                            (WebKitSettings *settings);

Get the "javascript-can-open-windows-automatically" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If JavaScript can open window automatically or `FALSE` otherwise.

### webkit_settings_set_javascript_can_open_windows_automatically ()

    void                webkit_settings_set_javascript_can_open_windows_automatically
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "javascript-can-open-windows-automatically" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_load_icons_ignoring_image_load_setting ()

    gboolean            webkit_settings_get_load_icons_ignoring_image_load_setting
                                                            (WebKitSettings *settings);

Get the "load-icons-ignoring-image-load-setting" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If site icon can be loaded irrespective of image loading preference or `FALSE` otherwise.

### webkit_settings_set_load_icons_ignoring_image_load_setting ()

    void                webkit_settings_set_load_icons_ignoring_image_load_setting
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "load-icons-ignoring-image-load-setting" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_default_font_family ()

    const gchar *       webkit_settings_get_default_font_family
                                                            (WebKitSettings *settings);

### webkit_settings_set_default_font_family ()

    void                webkit_settings_set_default_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *default_font_family);

Set the "default-font-family" property.

`settings` : | a WebKitSettings
`default_font_family` : | the new default font family

### webkit_settings_get_monospace_font_family ()

    const gchar *       webkit_settings_get_monospace_font_family
                                                            (WebKitSettings *settings);

Gets the "monospace-font-family" property.

`settings` : | a WebKitSettings
Returns : | Default font family used to display content marked with monospace font.

### webkit_settings_set_monospace_font_family ()

    void                webkit_settings_set_monospace_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *monospace_font_family);

Set the "monospace-font-family" property.

`settings` : | a WebKitSettings
`monospace_font_family` : | the new default monospace font family

### webkit_settings_get_serif_font_family ()

    const gchar *       webkit_settings_get_serif_font_family
                                                            (WebKitSettings *settings);

Gets the "serif-font-family" property.

`settings` : | a WebKitSettings
Returns : | The default font family used to display content marked with serif font.

### webkit_settings_set_serif_font_family ()

    void                webkit_settings_set_serif_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *serif_font_family);

Set the "serif-font-family" property.

`settings` : | a WebKitSettings
`serif_font_family` : | the new default serif font family

### webkit_settings_get_sans_serif_font_family ()

    const gchar *       webkit_settings_get_sans_serif_font_family
                                                            (WebKitSettings *settings);

Gets the "sans-serif-font-family" property.

`settings` : | a WebKitSettings
Returns : | The default font family used to display content marked with sans-serif font.

### webkit_settings_set_sans_serif_font_family ()

    void                webkit_settings_set_sans_serif_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *sans_serif_font_family);

Set the "sans-serif-font-family" property.

`settings` : | a WebKitSettings
`sans_serif_font_family` : | the new default sans-serif font family

### webkit_settings_get_cursive_font_family ()

    const gchar *       webkit_settings_get_cursive_font_family
                                                            (WebKitSettings *settings);

Gets the "cursive-font-family" property.

`settings` : | a WebKitSettings
Returns : | The default font family used to display content marked with cursive font.

### webkit_settings_set_cursive_font_family ()

    void                webkit_settings_set_cursive_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *cursive_font_family);

Set the "cursive-font-family" property.

`settings` : | a WebKitSettings
`cursive_font_family` : | the new default cursive font family

### webkit_settings_get_fantasy_font_family ()

    const gchar *       webkit_settings_get_fantasy_font_family
                                                            (WebKitSettings *settings);

Gets the "fantasy-font-family" property.

`settings` : | a WebKitSettings
Returns : | The default font family used to display content marked with fantasy font.

### webkit_settings_set_fantasy_font_family ()

    void                webkit_settings_set_fantasy_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *fantasy_font_family);

Set the "fantasy-font-family" property.

`settings` : | a WebKitSettings
`fantasy_font_family` : | the new default fantasy font family

### webkit_settings_get_pictograph_font_family ()

    const gchar *       webkit_settings_get_pictograph_font_family
                                                            (WebKitSettings *settings);

Gets the "pictograph-font-family" property.

`settings` : | a WebKitSettings
Returns : | The default font family used to display content marked with pictograph font.

### webkit_settings_set_pictograph_font_family ()

    void                webkit_settings_set_pictograph_font_family
                                                            (WebKitSettings *settings,
                                                             const gchar *pictograph_font_family);

Set the "pictograph-font-family" property.

`settings` : | a WebKitSettings
`pictograph_font_family` : | the new default pictograph font family

### webkit_settings_get_default_font_size ()

    guint32             webkit_settings_get_default_font_size
                                                            (WebKitSettings *settings);

Gets the "default-font-size" property.

`settings` : | a WebKitSettings
Returns : | The default font size.

### webkit_settings_set_default_font_size ()

    void                webkit_settings_set_default_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);

Set the "default-font-size" property.

`settings` : | a WebKitSettings
`font_size` : | default font size to be set in pixels

### webkit_settings_get_default_monospace_font_size ()

    guint32             webkit_settings_get_default_monospace_font_size
                                                            (WebKitSettings *settings);

Gets the "default-monospace-font-size" property.

`settings` : | a WebKitSettings
Returns : | Default monospace font size.

### webkit_settings_set_default_monospace_font_size ()

    void                webkit_settings_set_default_monospace_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);

Set the "default-monospace-font-size" property.

`settings` : | a WebKitSettings
`font_size` : | default monospace font size to be set in pixels

### webkit_settings_get_minimum_font_size ()

    guint32             webkit_settings_get_minimum_font_size
                                                            (WebKitSettings *settings);

Gets the "minimum-font-size" property.

`settings` : | a WebKitSettings
Returns : | Minimum font size.

### webkit_settings_set_minimum_font_size ()

    void                webkit_settings_set_minimum_font_size
                                                            (WebKitSettings *settings,
                                                             guint32 font_size);

Set the "minimum-font-size" property.

`settings` : | a WebKitSettings
`font_size` : | minimum font size to be set in points

### webkit_settings_get_default_charset ()

    const gchar *       webkit_settings_get_default_charset (WebKitSettings *settings);

Gets the "default-charset" property.

`settings` : | a WebKitSettings
Returns : | Default charset.

### webkit_settings_set_default_charset ()

    void                webkit_settings_set_default_charset (WebKitSettings *settings,
                                                             const gchar *default_charset);

Set the "default-charset" property.

`settings` : | a WebKitSettings
`default_charset` : | default charset to be set

### webkit_settings_get_enable_private_browsing ()

    gboolean            webkit_settings_get_enable_private_browsing
                                                            (WebKitSettings *settings);

Get the "enable-private-browsing" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If private browsing is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_private_browsing ()

    void                webkit_settings_set_enable_private_browsing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

### webkit_settings_get_enable_developer_extras ()

    gboolean            webkit_settings_get_enable_developer_extras
                                                            (WebKitSettings *settings);

Get the "enable-developer-extras" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If developer extras is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_developer_extras ()

    void                webkit_settings_set_enable_developer_extras
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-developer-extras" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_resizable_text_areas ()

    gboolean            webkit_settings_get_enable_resizable_text_areas
                                                            (WebKitSettings *settings);

Get the "enable-resizable-text-areas" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If text areas can be resized or `FALSE` otherwise.

### webkit_settings_set_enable_resizable_text_areas ()

    void                webkit_settings_set_enable_resizable_text_areas
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-resizable-text-areas" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_tabs_to_links ()

    gboolean            webkit_settings_get_enable_tabs_to_links
                                                            (WebKitSettings *settings);

Get the "enable-tabs-to-links" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If tabs to link is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_tabs_to_links ()

    void                webkit_settings_set_enable_tabs_to_links
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-tabs-to-links" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_dns_prefetching ()

    gboolean            webkit_settings_get_enable_dns_prefetching
                                                            (WebKitSettings *settings);

Get the "enable-dns-prefetching" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If DNS prefetching is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_dns_prefetching ()

    void                webkit_settings_set_enable_dns_prefetching
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-dns-prefetching" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_caret_browsing ()

    gboolean            webkit_settings_get_enable_caret_browsing
                                                            (WebKitSettings *settings);

Get the "enable-caret-browsing" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If caret browsing is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_caret_browsing ()

    void                webkit_settings_set_enable_caret_browsing
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-caret-browsing" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_enable_fullscreen ()

    gboolean            webkit_settings_get_enable_fullscreen
                                                            (WebKitSettings *settings);

Get the "enable-fullscreen" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If fullscreen support is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_fullscreen ()

    void                webkit_settings_set_enable_fullscreen
                                                            (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-fullscreen" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_print_backgrounds ()

    gboolean            webkit_settings_get_print_backgrounds
                                                            (WebKitSettings *settings);

Get the "print-backgrounds" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If background images should be printed or `FALSE` otherwise.

### webkit_settings_set_print_backgrounds ()

    void                webkit_settings_set_print_backgrounds
                                                            (WebKitSettings *settings,
                                                             gboolean print_backgrounds);

Set the "print-backgrounds" property.

`settings` : | a WebKitSettings
`print_backgrounds` : | Value to be set

### webkit_settings_get_enable_webaudio ()

    gboolean            webkit_settings_get_enable_webaudio (WebKitSettings *settings);

Get the "enable-webaudio" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If webaudio support is enabled or `FALSE` otherwise.

### webkit_settings_set_enable_webaudio ()

    void                webkit_settings_set_enable_webaudio (WebKitSettings *settings,
                                                             gboolean enabled);

Set the "enable-webaudio" property.

`settings` : | a WebKitSettings
`enabled` : | Value to be set

### webkit_settings_get_zoom_text_only ()

    gboolean            webkit_settings_get_zoom_text_only  (WebKitSettings *settings);

Get the "zoom-text-only" property.

`settings` : | a WebKitSettings
Returns : | `TRUE` If zoom level of the view should only affect the text or `FALSE` if all view contents should be scaled.

### webkit_settings_set_zoom_text_only ()

    void                webkit_settings_set_zoom_text_only  (WebKitSettings *settings,
                                                             gboolean zoom_text_only);

Set the "zoom-text-only" property.

`settings` : | a WebKitSettings
`zoom_text_only` : | Value to be set

## Property Details

### The `"auto-load-images"` property

      "auto-load-images"         gboolean              : Read / Write / Construct

Determines whether images should be automatically loaded or not. On devices where network bandwidth is of concern, it might be useful to turn this property off.

Default value: TRUE

### The `"cursive-font-family"` property

      "cursive-font-family"      gchar*                : Read / Write / Construct

The font family used as the default for content using cursive font.

Default value: "serif"

### The `"default-charset"` property

      "default-charset"          gchar*                : Read / Write / Construct

The default text charset used when interpreting content with an unspecified charset.

Default value: "iso-8859-1"

### The `"default-font-family"` property

      "default-font-family"      gchar*                : Read / Write / Construct

The font family to use as the default for content that does not specify a font.

Default value: "sans-serif"

### The `"default-font-size"` property

      "default-font-size"        guint                 : Read / Write / Construct

The default font size used to display text.

Default value: 16

### The `"default-monospace-font-size"` property

      "default-monospace-font-size" guint                 : Read / Write / Construct

The default font size used to display monospace text.

Default value: 13

### The `"enable-caret-browsing"` property

      "enable-caret-browsing"    gboolean              : Read / Write / Construct

Whether to enable accessibility enhanced keyboard navigation.

Default value: FALSE

### The `"enable-developer-extras"` property

      "enable-developer-extras"  gboolean              : Read / Write / Construct

Determines whether or not developer tools, such as the Web Inspector, are enabled.

Default value: FALSE

### The `"enable-dns-prefetching"` property

      "enable-dns-prefetching"   gboolean              : Read / Write / Construct

Determines whether or not to prefetch domain names. DNS prefetching attempts to resolve domain names before a user tries to follow a link.

Default value: FALSE

### The `"enable-frame-flattening"` property

      "enable-frame-flattening"  gboolean              : Read / Write / Construct

Whether to enable the frame flattening. With this setting each subframe is expanded to its contents, which will flatten all the frames to become one scrollable page. On touch devices scrollable subframes on a page can result in a confusing user experience.

Default value: FALSE

### The `"enable-fullscreen"` property

      "enable-fullscreen"        gboolean              : Read / Write / Construct

Whether to enable the Javascript Fullscreen API. The API allows any HTML element to request fullscreen display. See also the current draft of the spec: http://dvcs.w3.org/hg/fullscreen/raw-file/tip/Overview.html

Default value: FALSE

### The `"enable-html5-database"` property

      "enable-html5-database"    gboolean              : Read / Write / Construct

Whether to enable HTML5 client-side SQL database support. Client-side SQL database allows web pages to store structured data and be able to use SQL to manipulate that data asynchronously.

HTML5 database specification is available at http://www.w3.org/TR/webdatabase/.

Default value: TRUE

### The `"enable-html5-local-storage"` property

      "enable-html5-local-storage" gboolean              : Read / Write / Construct

Whether to enable HTML5 local storage support. Local storage provides simple synchronous storage access.

HTML5 local storage specification is available at http://dev.w3.org/html5/webstorage/.

Default value: TRUE

### The `"enable-hyperlink-auditing"` property

      "enable-hyperlink-auditing" gboolean              : Read / Write / Construct

Determines whether or not hyperlink auditing is enabled.

The hyperlink auditing specification is available at http://www.whatwg.org/specs/web-apps/current-work/multipage/links.htmlhyperlink-auditing.

Default value: FALSE

### The `"enable-java"` property

      "enable-java"              gboolean              : Read / Write / Construct

Determines whether or not Java is enabled on the page.

Default value: TRUE

### The `"enable-javascript"` property

      "enable-javascript"        gboolean              : Read / Write / Construct

Determines whether or not JavaScript executes within a page.

Default value: TRUE

### The `"enable-offline-web-application-cache"` property

      "enable-offline-web-application-cache" gboolean              : Read / Write / Construct

Whether to enable HTML5 offline web application cache support. Offline web application cache allows web applications to run even when the user is not connected to the network.

HTML5 offline web application specification is available at http://dev.w3.org/html5/spec/offline.html.

Default value: TRUE

### The `"enable-plugins"` property

      "enable-plugins"           gboolean              : Read / Write / Construct

Determines whether or not plugins on the page are enabled.

Default value: TRUE

### The `"enable-private-browsing"` property

      "enable-private-browsing"  gboolean              : Read / Write / Construct

Determines whether or not private browsing is enabled. Private browsing will disable history, cache and form auto-fill for any pages visited.

Default value: FALSE

### The `"enable-resizable-text-areas"` property

      "enable-resizable-text-areas" gboolean              : Read / Write / Construct

Determines whether or not text areas can be resized.

Default value: TRUE

### The `"enable-tabs-to-links"` property

      "enable-tabs-to-links"     gboolean              : Read / Write / Construct

Determines whether the tab key cycles through the elements on the page. When this setting is enabled, users will be able to focus the next element in the page by pressing the tab key. If the selected element is editable, then pressing tab key will insert the tab character.

Default value: TRUE

### The `"enable-webaudio"` property

      "enable-webaudio"          gboolean              : Read / Write / Construct

Enable or disable support for WebAudio on pages. WebAudio is an experimental proposal for allowing web pages to generate Audio WAVE data from JavaScript. The standard is currently a work-in-progress by the W3C Audio Working Group.

See also https://dvcs.w3.org/hg/audio/raw-file/tip/webaudio/specification.html

Default value: FALSE

### The `"enable-xss-auditor"` property

      "enable-xss-auditor"       gboolean              : Read / Write / Construct

Whether to enable the XSS auditor. This feature filters some kinds of reflective XSS attacks on vulnerable web sites.

Default value: TRUE

### The `"fantasy-font-family"` property

      "fantasy-font-family"      gchar*                : Read / Write / Construct

The font family used as the default for content using fantasy font.

Default value: "serif"

### The `"javascript-can-open-windows-automatically"` property

      "javascript-can-open-windows-automatically" gboolean              : Read / Write / Construct

Whether JavaScript can open popup windows automatically without user intervention.

Default value: FALSE

### The `"load-icons-ignoring-image-load-setting"` property

      "load-icons-ignoring-image-load-setting" gboolean              : Read / Write / Construct

Determines whether a site can load favicons irrespective of the value of "auto-load-images".

Default value: FALSE

### The `"minimum-font-size"` property

      "minimum-font-size"        guint                 : Read / Write / Construct

The minimum font size used to display text.

Default value: 0

### The `"monospace-font-family"` property

      "monospace-font-family"    gchar*                : Read / Write / Construct

The font family used as the default for content using monospace font.

Default value: "monospace"

### The `"pictograph-font-family"` property

      "pictograph-font-family"   gchar*                : Read / Write / Construct

The font family used as the default for content using pictograph font.

Default value: "serif"

### The `"print-backgrounds"` property

      "print-backgrounds"        gboolean              : Read / Write / Construct

Whether background images should be drawn during printing.

Default value: TRUE

### The `"sans-serif-font-family"` property

      "sans-serif-font-family"   gchar*                : Read / Write / Construct

The font family used as the default for content using sans-serif font.

Default value: "sans-serif"

### The `"serif-font-family"` property

      "serif-font-family"        gchar*                : Read / Write / Construct

The font family used as the default for content using serif font.

Default value: "serif"

### The `"zoom-text-only"` property

      "zoom-text-only"           gboolean              : Read / Write / Construct

Whether "zoom-level" affects only the text of the page or all the contents. Other contents containing text like form controls will be also affected by zoom factor when this property is enabled.

Default value: FALSE